<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/pwm.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">pwm.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d5c/pwm_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">   37</a></span>uint32_t <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">PWM_ConfigOutputChannel</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm,</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                                  uint32_t u32ChannelNum,</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                                  uint32_t u32Frequency,</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                                  uint32_t u32DutyCycle)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>{</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    uint32_t i = <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / u32Frequency;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    uint8_t  u8Divider = 1, u8Prescale = 0xFF;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    uint16_t u16CNR = 0xFFFF;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordflow">for</span>(; u8Divider &lt; 17; u8Divider &lt;&lt;= 1)    <span class="comment">// clk divider could only be 1, 2, 4, 8, 16</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        i = (<a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / u32Frequency) / u8Divider;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="comment">// If target value is larger than CNR * prescale, need to use a larger divider</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span>(i &gt; (0x10000 * 0x100))</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="comment">// CNR = 0xFFFF + 1, get a prescaler that CNR value is below 0xFFFF</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        u8Prescale = (i + 0xFFFF)/ 0x10000;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="comment">// u8Prescale must at least be 2, otherwise the output stop</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">if</span>(u8Prescale &lt; 3)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            u8Prescale = 2;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        i /= u8Prescale;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span>(i &lt;= 0x10000)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">if</span>(i == 1)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                u16CNR = 1;     <span class="comment">// Too fast, and PWM cannot generate expected frequency...</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                u16CNR = i;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">// Store return value here &#39;cos we&#39;re gonna change u8Divider &amp; u8Prescale &amp; u16CNR to the real value to fill into register</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    i = <a class="code hl_variable" href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> / (u8Prescale * u8Divider * u16CNR);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    u8Prescale -= 1;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    u16CNR -= 1;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">// convert to real register value</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="keywordflow">if</span>(u8Divider == 1)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        u8Divider = 4;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (u8Divider == 2)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        u8Divider = 0;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (u8Divider == 4)</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        u8Divider = 1;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (u8Divider == 8)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        u8Divider = 2;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="keywordflow">else</span> <span class="comment">// 16</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        u8Divider = 3;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// every two channels share a prescaler</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PPR = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PPR &amp; ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a4db87c128b16d353dceae8a96e432d9b">PWM_PPR_CP01_Msk</a> &lt;&lt; ((u32ChannelNum &gt;&gt; 1) * 8))) | (u8Prescale &lt;&lt; ((u32ChannelNum &gt;&gt; 1) * 8));</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;CSR = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;CSR &amp; ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ac181f229644a0bc353eabe6e4dc2b43b">PWM_CSR_CSR0_Msk</a> &lt;&lt; (4 * u32ChannelNum))) | (u8Divider &lt;&lt; (4 * u32ChannelNum));</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PCR = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PCR &amp; ~PWM_PCR_PWMTYPE_Msk) | (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a89c0a3b90bc4a60f0b5bdc957d8b41ab">PWM_PCR_CH0MOD_Msk</a> &lt;&lt; (4 * u32ChannelNum));</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="keywordflow">if</span>(u32DutyCycle == 0)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;CMR[u32ChannelNum] = 0;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;CMR[u32ChannelNum] = u32DutyCycle * (u16CNR + 1) / 100 - 1;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;CNR[u32ChannelNum] = u16CNR;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="keywordflow">return</span>(i);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>}</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">  110</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">PWM_Start</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>{</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    uint32_t u32Mask = 0, i;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="keywordflow">for</span>(i = 0; i &lt; <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">PWM_CHANNEL_NUM</a>; i ++)</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">if</span>(u32ChannelMask &amp; (1 &lt;&lt; i))</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            u32Mask |= (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a034083073126837ff633d9a5b73fc1cf">PWM_PCR_CH0EN_Msk</a> &lt;&lt; (i * 4));</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PCR |= u32Mask;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>}</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">  131</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">PWM_Stop</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>{</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    uint32_t i;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    <span class="keywordflow">for</span>(i = 0; i &lt; <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">PWM_CHANNEL_NUM</a>; i ++)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">if</span>(u32ChannelMask &amp; (1 &lt;&lt; i))</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;CNR[i] = 0;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>}</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">  151</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">PWM_ForceStop</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>{</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    uint32_t u32Mask = 0, i;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    <span class="keywordflow">for</span>(i = 0; i &lt; <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">PWM_CHANNEL_NUM</a>; i ++)</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="keywordflow">if</span>(u32ChannelMask &amp; (1 &lt;&lt; i))</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            u32Mask |= (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a034083073126837ff633d9a5b73fc1cf">PWM_PCR_CH0EN_Msk</a> &lt;&lt; (i * 4));</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PCR &amp;= ~u32Mask;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>}</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">  176</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">PWM_EnableADCTrigger</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>{</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    <span class="keywordflow">if</span>(u32ChannelNum &lt; 4)</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON0 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON0 &amp; ~((<a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga030e74189f2e642d391c091ac7dfbc6c">PWM_TRIGGER_ADC_CNTR_IS_0</a> |</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8bf8d9f02e21c0f3cded94eebc5a329">PWM_TRIGGER_ADC_CNTR_IS_CMR_D</a> |</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadb866ce8834f49bf27ee3f0ab1061369">PWM_TRIGGER_ADC_CNTR_IS_CNR</a> |</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e47570f2f5575f3bc6896a6e704fa3c">PWM_TRIGGER_ADC_CNTR_IS_CMR_U</a> ) &lt;&lt; (8 * u32ChannelNum))) | (u32Condition &lt;&lt; (8 * u32ChannelNum));</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    }</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON1 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON1 &amp; ~((<a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga030e74189f2e642d391c091ac7dfbc6c">PWM_TRIGGER_ADC_CNTR_IS_0</a> |</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8bf8d9f02e21c0f3cded94eebc5a329">PWM_TRIGGER_ADC_CNTR_IS_CMR_D</a> |</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadb866ce8834f49bf27ee3f0ab1061369">PWM_TRIGGER_ADC_CNTR_IS_CNR</a> |</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e47570f2f5575f3bc6896a6e704fa3c">PWM_TRIGGER_ADC_CNTR_IS_CMR_U</a> ) &lt;&lt; (8 * (u32ChannelNum - 4)))) | (u32Condition &lt;&lt; (8 * (u32ChannelNum - 4)));</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>}</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">  201</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">PWM_DisableADCTrigger</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>{</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    <span class="keywordflow">if</span>(u32ChannelNum &lt; 4)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON0 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON0 &amp; ~((<a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga030e74189f2e642d391c091ac7dfbc6c">PWM_TRIGGER_ADC_CNTR_IS_0</a> |</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8bf8d9f02e21c0f3cded94eebc5a329">PWM_TRIGGER_ADC_CNTR_IS_CMR_D</a> |</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadb866ce8834f49bf27ee3f0ab1061369">PWM_TRIGGER_ADC_CNTR_IS_CNR</a> |</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e47570f2f5575f3bc6896a6e704fa3c">PWM_TRIGGER_ADC_CNTR_IS_CMR_U</a> ) &lt;&lt; (8 * u32ChannelNum)));</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON1 = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGCON1 &amp; ~((<a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga030e74189f2e642d391c091ac7dfbc6c">PWM_TRIGGER_ADC_CNTR_IS_0</a> |</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8bf8d9f02e21c0f3cded94eebc5a329">PWM_TRIGGER_ADC_CNTR_IS_CMR_D</a> |</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadb866ce8834f49bf27ee3f0ab1061369">PWM_TRIGGER_ADC_CNTR_IS_CNR</a> |</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                                          <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e47570f2f5575f3bc6896a6e704fa3c">PWM_TRIGGER_ADC_CNTR_IS_CMR_U</a> ) &lt;&lt; (8 * (u32ChannelNum - 4))));</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>}</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">  230</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">PWM_ClearADCTriggerFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>{</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    <span class="keywordflow">if</span>(u32ChannelNum &lt; 4)</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    {</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGSTS0 |= (u32Condition &lt;&lt; (8 * u32ChannelNum));</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGSTS1 |= (u32Condition &lt;&lt; (8 * (u32ChannelNum - 4)));</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>}</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">  252</a></span>uint32_t <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">PWM_GetADCTriggerFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>{</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    uint32_t u32Ret;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    <span class="keywordflow">if</span>(u32ChannelNum &lt; 4)</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        u32Ret = <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGSTS0 &gt;&gt; (8 * u32ChannelNum);</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    }</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    {</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        u32Ret = <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;TRGSTS1 &gt;&gt; (8 * (u32ChannelNum - 4 ));</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    }</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>    <span class="keywordflow">return</span> (u32Ret &amp; (<a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga030e74189f2e642d391c091ac7dfbc6c">PWM_TRIGGER_ADC_CNTR_IS_0</a> |</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>                      <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8bf8d9f02e21c0f3cded94eebc5a329">PWM_TRIGGER_ADC_CNTR_IS_CMR_D</a> |</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>                      <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadb866ce8834f49bf27ee3f0ab1061369">PWM_TRIGGER_ADC_CNTR_IS_CNR</a> |</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>                      <a class="code hl_define" href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e47570f2f5575f3bc6896a6e704fa3c">PWM_TRIGGER_ADC_CNTR_IS_CMR_U</a>));</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>}</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga995653b7cb7abbd050bf4ecfc8370064">  285</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga995653b7cb7abbd050bf4ecfc8370064">PWM_EnableFaultBrake</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm,</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                           uint32_t u32ChannelMask,</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                           uint32_t u32LevelMask,</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>                           uint32_t u32BrakeSource)</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>{</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PFBCON = (u32LevelMask &lt;&lt; <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a1328630fafa0f2e00ec138344657e692">PWM_PFBCON_PWMBKO0_Pos</a>) | u32BrakeSource;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>}</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span> </div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeb8740ab73e7a317a237678925532658">  300</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeb8740ab73e7a317a237678925532658">PWM_ClearFaultBrakeFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32BrakeSource)</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>{</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PFBCON = <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#afe5c5e6d2b5dadfedb6c43484a2c1bc1">PWM_PFBCON_BKF_Msk</a>;</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>}</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span> </div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">  312</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">PWM_EnableOutput</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>{</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;POE |= u32ChannelMask;</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>}</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> </div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">  324</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">PWM_DisableOutput</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>{</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;POE &amp;= ~u32ChannelMask;</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>}</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span> </div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">  337</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">PWM_EnableDeadZone</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Duration)</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>{</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>    <span class="comment">// every two channels shares the same setting</span></div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>    u32ChannelNum &gt;&gt;= 1;</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>    <span class="comment">// set duration</span></div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PDZIR = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PDZIR &amp; ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ad4d2b8b49aaba8631aec46b2780822bb">PWM_DZIR_DZI01_Msk</a> &lt;&lt; (8 * u32ChannelNum))) | (u32Duration &lt;&lt; (8 * u32ChannelNum));</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>    <span class="comment">// enable dead zone</span></div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PCR |= (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a6f66681d78e5544ae5373f1f40f6dc8b">PWM_PCR_DZEN01_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>}</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span> </div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">  353</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">PWM_DisableDeadZone</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span>{</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>    <span class="comment">// every two channels shares the same setting</span></div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span>    u32ChannelNum &gt;&gt;= 1;</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>    <span class="comment">// enable dead zone</span></div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PCR &amp;= ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a6f66681d78e5544ae5373f1f40f6dc8b">PWM_PCR_DZEN01_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>}</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span> </div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">  368</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">PWM_EnableDutyInt</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32IntDutyType)</div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>{</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER |= (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a0ad28fad18b38aa2df5a623e1877be75">PWM_PIER_PWMDIE0_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>}</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span> </div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">  379</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">PWM_DisableDutyInt</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span>{</div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER &amp;= ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a0ad28fad18b38aa2df5a623e1877be75">PWM_PIER_PWMDIE0_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span>}</div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span> </div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">  390</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">PWM_ClearDutyIntFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>{</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIIR = (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#aa0002f1b8478e380171bf61b508a21fd">PWM_PIIR_PWMDIF0_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span>}</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span> </div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">  403</a></span>uint32_t <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">PWM_GetDutyIntFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno">  404</span>{</div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span>    <span class="keywordflow">return</span>(<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIIR &amp; (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#aa0002f1b8478e380171bf61b508a21fd">PWM_PIIR_PWMDIF0_Msk</a> &lt;&lt; u32ChannelNum) ? 1 : 0);</div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span>}</div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno">  407</span> </div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaddc9fc1cf3a17dae5f3804fac99a7837">  414</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaddc9fc1cf3a17dae5f3804fac99a7837">PWM_EnableFaultBrakeInt</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32BrakeSource)</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span>{</div>
<div class="line"><a id="l00416" name="l00416"></a><span class="lineno">  416</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ab68b6b18c36314477fcde1f131de3124">PWM_PIER_BRKIE_Msk</a>;</div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno">  417</span>}</div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span> </div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5aab6d49035029b38b0fd3ce2d8c8648">  425</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5aab6d49035029b38b0fd3ce2d8c8648">PWM_DisableFaultBrakeInt</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32BrakeSource)</div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span>{</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER &amp;= ~PWM_PIER_BRKIE_Msk;</div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span>}</div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span> </div>
<div class="line"><a id="l00438" name="l00438"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaab6d61eae3fc38728d9717dcd474bd23">  438</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaab6d61eae3fc38728d9717dcd474bd23">PWM_ClearFaultBrakeIntFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32BrakeSource)</div>
<div class="line"><a id="l00439" name="l00439"></a><span class="lineno">  439</span>{</div>
<div class="line"><a id="l00440" name="l00440"></a><span class="lineno">  440</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIIR = u32BrakeSource;</div>
<div class="line"><a id="l00441" name="l00441"></a><span class="lineno">  441</span>}</div>
<div class="line"><a id="l00442" name="l00442"></a><span class="lineno">  442</span> </div>
<div class="line"><a id="l00453" name="l00453"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4680a93c548dca17dd03b69c9821c651">  453</a></span>uint32_t <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4680a93c548dca17dd03b69c9821c651">PWM_GetFaultBrakeIntFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32BrakeSource)</div>
<div class="line"><a id="l00454" name="l00454"></a><span class="lineno">  454</span>{</div>
<div class="line"><a id="l00455" name="l00455"></a><span class="lineno">  455</span>    <span class="keywordflow">return</span> (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIIR &amp; u32BrakeSource ? 1 : 0);</div>
<div class="line"><a id="l00456" name="l00456"></a><span class="lineno">  456</span>}</div>
<div class="line"><a id="l00457" name="l00457"></a><span class="lineno">  457</span> </div>
<div class="line"><a id="l00468" name="l00468"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">  468</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">PWM_EnablePeriodInt</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum,  uint32_t u32IntPeriodType)</div>
<div class="line"><a id="l00469" name="l00469"></a><span class="lineno">  469</span>{</div>
<div class="line"><a id="l00470" name="l00470"></a><span class="lineno">  470</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER = (<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER &amp; ~PWM_PIER_INT_TYPE_Msk) | (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a9f166be5d73f73a29db214a5e6306b54">PWM_PIER_PWMPIE0_Msk</a> &lt;&lt; u32ChannelNum) | u32IntPeriodType;</div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno">  471</span>}</div>
<div class="line"><a id="l00472" name="l00472"></a><span class="lineno">  472</span> </div>
<div class="line"><a id="l00479" name="l00479"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">  479</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">PWM_DisablePeriodInt</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00480" name="l00480"></a><span class="lineno">  480</span>{</div>
<div class="line"><a id="l00481" name="l00481"></a><span class="lineno">  481</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIER &amp;= ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a9f166be5d73f73a29db214a5e6306b54">PWM_PIER_PWMPIE0_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00482" name="l00482"></a><span class="lineno">  482</span>}</div>
<div class="line"><a id="l00483" name="l00483"></a><span class="lineno">  483</span> </div>
<div class="line"><a id="l00490" name="l00490"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">  490</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">PWM_ClearPeriodIntFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00491" name="l00491"></a><span class="lineno">  491</span>{</div>
<div class="line"><a id="l00492" name="l00492"></a><span class="lineno">  492</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIIR = (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a53268b7ee0f28bd64cfb972693983d3e">PWM_PIIR_PWMPIF0_Msk</a> &lt;&lt; u32ChannelNum);</div>
<div class="line"><a id="l00493" name="l00493"></a><span class="lineno">  493</span>}</div>
<div class="line"><a id="l00494" name="l00494"></a><span class="lineno">  494</span> </div>
<div class="line"><a id="l00503" name="l00503"></a><span class="lineno"><a class="line" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">  503</a></span>uint32_t <a class="code hl_function" href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">PWM_GetPeriodIntFlag</a> (<a class="code hl_struct" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</div>
<div class="line"><a id="l00504" name="l00504"></a><span class="lineno">  504</span>{</div>
<div class="line"><a id="l00505" name="l00505"></a><span class="lineno">  505</span>    <span class="keywordflow">return</span>(<a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a>-&gt;PIIR &amp; (<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a53268b7ee0f28bd64cfb972693983d3e">PWM_PIIR_PWMPIF0_Msk</a> &lt;&lt; u32ChannelNum) ? 1 : 0);</div>
<div class="line"><a id="l00506" name="l00506"></a><span class="lineno">  506</span>}</div>
<div class="line"><a id="l00507" name="l00507"></a><span class="lineno">  507</span> </div>
<div class="line"><a id="l00508" name="l00508"></a><span class="lineno">  508</span> </div>
<div class="line"><a id="l00509" name="l00509"></a><span class="lineno">  509</span> <span class="comment">/* end of group MINI51_PWM_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00511" name="l00511"></a><span class="lineno">  511</span> <span class="comment">/* end of group MINI51_PWM_Driver */</span></div>
<div class="line"><a id="l00513" name="l00513"></a><span class="lineno">  513</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00515" name="l00515"></a><span class="lineno">  515</span> </div>
<div class="line"><a id="l00516" name="l00516"></a><span class="lineno">  516</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="a_mini51_series_8h_html_a034083073126837ff633d9a5b73fc1cf"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a034083073126837ff633d9a5b73fc1cf">PWM_PCR_CH0EN_Msk</a></div><div class="ttdeci">#define PWM_PCR_CH0EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03614">Mini51Series.h:3614</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a0ad28fad18b38aa2df5a623e1877be75"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a0ad28fad18b38aa2df5a623e1877be75">PWM_PIER_PWMDIE0_Msk</a></div><div class="ttdeci">#define PWM_PIER_PWMDIE0_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03716">Mini51Series.h:3716</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a1328630fafa0f2e00ec138344657e692"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a1328630fafa0f2e00ec138344657e692">PWM_PFBCON_PWMBKO0_Pos</a></div><div class="ttdeci">#define PWM_PFBCON_PWMBKO0_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03814">Mini51Series.h:3814</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a4db87c128b16d353dceae8a96e432d9b"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a4db87c128b16d353dceae8a96e432d9b">PWM_PPR_CP01_Msk</a></div><div class="ttdeci">#define PWM_PPR_CP01_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03587">Mini51Series.h:3587</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a53268b7ee0f28bd64cfb972693983d3e"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a53268b7ee0f28bd64cfb972693983d3e">PWM_PIIR_PWMPIF0_Msk</a></div><div class="ttdeci">#define PWM_PIIR_PWMPIF0_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03740">Mini51Series.h:3740</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a6f66681d78e5544ae5373f1f40f6dc8b"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a6f66681d78e5544ae5373f1f40f6dc8b">PWM_PCR_DZEN01_Msk</a></div><div class="ttdeci">#define PWM_PCR_DZEN01_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03671">Mini51Series.h:3671</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a89c0a3b90bc4a60f0b5bdc957d8b41ab"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a89c0a3b90bc4a60f0b5bdc957d8b41ab">PWM_PCR_CH0MOD_Msk</a></div><div class="ttdeci">#define PWM_PCR_CH0MOD_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03623">Mini51Series.h:3623</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a9f166be5d73f73a29db214a5e6306b54"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a9f166be5d73f73a29db214a5e6306b54">PWM_PIER_PWMPIE0_Msk</a></div><div class="ttdeci">#define PWM_PIER_PWMPIE0_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03698">Mini51Series.h:3698</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_aa0002f1b8478e380171bf61b508a21fd"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#aa0002f1b8478e380171bf61b508a21fd">PWM_PIIR_PWMDIF0_Msk</a></div><div class="ttdeci">#define PWM_PIIR_PWMDIF0_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03758">Mini51Series.h:3758</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ab68b6b18c36314477fcde1f131de3124"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ab68b6b18c36314477fcde1f131de3124">PWM_PIER_BRKIE_Msk</a></div><div class="ttdeci">#define PWM_PIER_BRKIE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03734">Mini51Series.h:3734</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ac181f229644a0bc353eabe6e4dc2b43b"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ac181f229644a0bc353eabe6e4dc2b43b">PWM_CSR_CSR0_Msk</a></div><div class="ttdeci">#define PWM_CSR_CSR0_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03596">Mini51Series.h:3596</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ad4d2b8b49aaba8631aec46b2780822bb"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ad4d2b8b49aaba8631aec46b2780822bb">PWM_DZIR_DZI01_Msk</a></div><div class="ttdeci">#define PWM_DZIR_DZI01_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03839">Mini51Series.h:3839</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_afe5c5e6d2b5dadfedb6c43484a2c1bc1"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#afe5c5e6d2b5dadfedb6c43484a2c1bc1">PWM_PFBCON_BKF_Msk</a></div><div class="ttdeci">#define PWM_PFBCON_BKF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l03812">Mini51Series.h:3812</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga538e3ec60828cfabae7e3011d73d2093"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga538e3ec60828cfabae7e3011d73d2093">PWM</a></div><div class="ttdeci">#define PWM</div><div class="ttdoc">Pointer to PWM register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05729">Mini51Series.h:5729</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga030e74189f2e642d391c091ac7dfbc6c"><div class="ttname"><a href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga030e74189f2e642d391c091ac7dfbc6c">PWM_TRIGGER_ADC_CNTR_IS_0</a></div><div class="ttdeci">#define PWM_TRIGGER_ADC_CNTR_IS_0</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db9/pwm_8h_source.html#l00040">pwm.h:40</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga8e47570f2f5575f3bc6896a6e704fa3c"><div class="ttname"><a href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e47570f2f5575f3bc6896a6e704fa3c">PWM_TRIGGER_ADC_CNTR_IS_CMR_U</a></div><div class="ttdeci">#define PWM_TRIGGER_ADC_CNTR_IS_CMR_U</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db9/pwm_8h_source.html#l00043">pwm.h:43</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaa8de5932e202da33005841edc021a2e4"><div class="ttname"><a href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">PWM_CHANNEL_NUM</a></div><div class="ttdeci">#define PWM_CHANNEL_NUM</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db9/pwm_8h_source.html#l00032">pwm.h:32</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gadb866ce8834f49bf27ee3f0ab1061369"><div class="ttname"><a href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadb866ce8834f49bf27ee3f0ab1061369">PWM_TRIGGER_ADC_CNTR_IS_CNR</a></div><div class="ttdeci">#define PWM_TRIGGER_ADC_CNTR_IS_CNR</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db9/pwm_8h_source.html#l00042">pwm.h:42</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gae8bf8d9f02e21c0f3cded94eebc5a329"><div class="ttname"><a href="../../d7/d8c/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8bf8d9f02e21c0f3cded94eebc5a329">PWM_TRIGGER_ADC_CNTR_IS_CMR_D</a></div><div class="ttdeci">#define PWM_TRIGGER_ADC_CNTR_IS_CMR_D</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/db9/pwm_8h_source.html#l00041">pwm.h:41</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga05a6be33c690157c4bc87f0688e2f9cb"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">PWM_ForceStop</a></div><div class="ttdeci">void PWM_ForceStop(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function stop PWM generation immediately by clear channel enable bit.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00151">pwm.c:151</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga066d00c26f6a319314be5dd2c3047990"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">PWM_Stop</a></div><div class="ttdeci">void PWM_Stop(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function stop PWM module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00131">pwm.c:131</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1b5c77cb068468a5d240507dc4ec58b1"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">PWM_EnableDeadZone</a></div><div class="ttdeci">void PWM_EnableDeadZone(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Duration)</div><div class="ttdoc">This function enable Dead zone of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00337">pwm.c:337</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1f3c635b9a22f2ba972264d6bad89948"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">PWM_ClearADCTriggerFlag</a></div><div class="ttdeci">void PWM_ClearADCTriggerFlag(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</div><div class="ttdoc">This function clear selected channel trigger ADC flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00230">pwm.c:230</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga20c0cb1f9c6ddbe739efe3445aab3f74"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">PWM_DisableADCTrigger</a></div><div class="ttdeci">void PWM_DisableADCTrigger(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable selected channel to trigger ADC.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00201">pwm.c:201</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3f6f4ca64e6d9fcb16d6856274918871"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">PWM_DisablePeriodInt</a></div><div class="ttdeci">void PWM_DisablePeriodInt(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00479">pwm.c:479</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga425201428238fb079d10a7e1b03479e6"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">PWM_EnableDutyInt</a></div><div class="ttdeci">void PWM_EnableDutyInt(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32IntDutyType)</div><div class="ttdoc">This function enable duty interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00368">pwm.c:368</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4680a93c548dca17dd03b69c9821c651"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4680a93c548dca17dd03b69c9821c651">PWM_GetFaultBrakeIntFlag</a></div><div class="ttdeci">uint32_t PWM_GetFaultBrakeIntFlag(PWM_T *pwm, uint32_t u32BrakeSource)</div><div class="ttdoc">This function get fault brake interrupt of selected source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00453">pwm.c:453</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5aab6d49035029b38b0fd3ce2d8c8648"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5aab6d49035029b38b0fd3ce2d8c8648">PWM_DisableFaultBrakeInt</a></div><div class="ttdeci">void PWM_DisableFaultBrakeInt(PWM_T *pwm, uint32_t u32BrakeSource)</div><div class="ttdoc">This function disable fault brake interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00425">pwm.c:425</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5b5c5326f7052513e1b5eec1f71b30c8"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">PWM_ConfigOutputChannel</a></div><div class="ttdeci">uint32_t PWM_ConfigOutputChannel(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Frequency, uint32_t u32DutyCycle)</div><div class="ttdoc">This function config PWM generator and get the nearest frequency in edge aligned auto-reload mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00037">pwm.c:37</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga744d43fd2e38d605ece81b7f2c645408"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">PWM_GetADCTriggerFlag</a></div><div class="ttdeci">uint32_t PWM_GetADCTriggerFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get selected channel trigger ADC flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00252">pwm.c:252</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga89d6aec6a3d08a18e413114e97231ed8"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">PWM_DisableDutyInt</a></div><div class="ttdeci">void PWM_DisableDutyInt(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable duty interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00379">pwm.c:379</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8dfd6748955d93c79ea7943e66693e57"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">PWM_ClearDutyIntFlag</a></div><div class="ttdeci">void PWM_ClearDutyIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function clears duty interrupt flag of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00390">pwm.c:390</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga95951d94cf385aea3067fe197d33cdd2"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">PWM_EnablePeriodInt</a></div><div class="ttdeci">void PWM_EnablePeriodInt(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32IntPeriodType)</div><div class="ttdoc">This function enable period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00468">pwm.c:468</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga995653b7cb7abbd050bf4ecfc8370064"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga995653b7cb7abbd050bf4ecfc8370064">PWM_EnableFaultBrake</a></div><div class="ttdeci">void PWM_EnableFaultBrake(PWM_T *pwm, uint32_t u32ChannelMask, uint32_t u32LevelMask, uint32_t u32BrakeSource)</div><div class="ttdoc">This function enable fault brake of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00285">pwm.c:285</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga998c9f9ff8209befaa5b96bb716ee039"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">PWM_GetDutyIntFlag</a></div><div class="ttdeci">uint32_t PWM_GetDutyIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get duty interrupt flag of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00403">pwm.c:403</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9b67381d2e6604e2d52dc1b4ded0ac79"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">PWM_DisableDeadZone</a></div><div class="ttdeci">void PWM_DisableDeadZone(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function disable Dead zone of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00353">pwm.c:353</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa1f51bdd5b9c5f0d787c16b30ba335ec"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">PWM_DisableOutput</a></div><div class="ttdeci">void PWM_DisableOutput(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function disables PWM output generation of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00324">pwm.c:324</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaab6d61eae3fc38728d9717dcd474bd23"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaab6d61eae3fc38728d9717dcd474bd23">PWM_ClearFaultBrakeIntFlag</a></div><div class="ttdeci">void PWM_ClearFaultBrakeIntFlag(PWM_T *pwm, uint32_t u32BrakeSource)</div><div class="ttdoc">This function clear fault brake interrupt of selected source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00438">pwm.c:438</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaba7d1c58227b988404d3491388abe31f"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">PWM_Start</a></div><div class="ttdeci">void PWM_Start(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function start PWM module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00110">pwm.c:110</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac655465d151aeb2c2356b560c660e860"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">PWM_ClearPeriodIntFlag</a></div><div class="ttdeci">void PWM_ClearPeriodIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function clear period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00490">pwm.c:490</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac8352c03341d770623730dc38e4dc06d"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">PWM_EnableOutput</a></div><div class="ttdeci">void PWM_EnableOutput(PWM_T *pwm, uint32_t u32ChannelMask)</div><div class="ttdoc">This function enables PWM output generation of selected channels.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00312">pwm.c:312</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaddc9fc1cf3a17dae5f3804fac99a7837"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaddc9fc1cf3a17dae5f3804fac99a7837">PWM_EnableFaultBrakeInt</a></div><div class="ttdeci">void PWM_EnableFaultBrakeInt(PWM_T *pwm, uint32_t u32BrakeSource)</div><div class="ttdoc">This function enable fault brake interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00414">pwm.c:414</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae1e00a27b810b68d4f5d971e45180a33"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">PWM_GetPeriodIntFlag</a></div><div class="ttdeci">uint32_t PWM_GetPeriodIntFlag(PWM_T *pwm, uint32_t u32ChannelNum)</div><div class="ttdoc">This function get period interrupt of selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00503">pwm.c:503</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaeb8740ab73e7a317a237678925532658"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeb8740ab73e7a317a237678925532658">PWM_ClearFaultBrakeFlag</a></div><div class="ttdeci">void PWM_ClearFaultBrakeFlag(PWM_T *pwm, uint32_t u32BrakeSource)</div><div class="ttdoc">This function clear fault brake flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00300">pwm.c:300</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafd20833cfab9a95006028b4a2bfad6a4"><div class="ttname"><a href="../../d8/dcf/group___m_i_n_i51___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">PWM_EnableADCTrigger</a></div><div class="ttdeci">void PWM_EnableADCTrigger(PWM_T *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</div><div class="ttdoc">This function enable selected channel to trigger ADC.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5c/pwm_8c_source.html#l00176">pwm.c:176</a></div></div>
<div class="ttc" id="astruct_p_w_m___t_html"><div class="ttname"><a href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l02751">Mini51Series.h:2752</a></div></div>
<div class="ttc" id="asystem___mini51_series_8h_html_aa3cd3e43291e81e795d642b79b6088e6"><div class="ttname"><a href="../../dd/d6a/system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></div><div class="ttdeci">uint32_t SystemCoreClock</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d23/system___mini51_series_8c_source.html#l00020">system_Mini51Series.c:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
